/****************************************************************************
 *  bank23.c                                                                *
 *                                                                          *
 *    PELMANISM  V2.10    2002/03/31                                        *
 *                                                                          *
 *    Copyright(C)  2001, 2002   TeamKNOx                                   *
 ****************************************************************************/

#include <gb.h>
#include "pda.h"
#include "bank23\i_tranp.h"

extern void pelmanism( void *arg );


/*==========================================================================*
 |  descripters                                                             |
 *==========================================================================*/
#define FUNC_NUM        1
struct function func_23[FUNC_NUM] = {
  { "TRANP   ", "2.10", pelmanism, i_tranp, i_tranpCGBPal0c1, i_tranpCGBPal0c2 }
};
struct description desc_23 = { FUNC_NUM, (struct function *)func_23 };


/*==========================================================================*
 |  definitions                                                             |
 *==========================================================================*/


/*==========================================================================*
 |  resources                                                               |
 *==========================================================================*/
#include "bank23\i_tranp.c"


/*==========================================================================*
 |  functions                                                               |
 *==========================================================================*/
#include "bank23\pelmanism.c"

/*--------------------------------------------------------------------------*
 |  initialize                                                              |
 *--------------------------------------------------------------------------*/
void pelmanism_init()
{
  pda_syscall( PDA_CLEAR_SCREEN, (void *)0 );
}

/*==========================================================================*
 |  main                                                                    |
 *==========================================================================*/
void pelmanism( void *arg )
{

  pda_syscall( PDA_DISABLE_INTERRUPT, (void *)0 );
  pelmanism_init();

  while( !(keycode.brk & J_EXIT) ) {
    pelmanism_main();
  }

  pda_syscall( PDA_CLEAR_SCREEN, (void *)0 );
}

/* EOF */